Subject: Re: linux-next: manual merge of the cgroup tree with the mm tree

From: Andrew Morton <[email-masked]>
Date: Tue, 11 Jul 2023 10:03:46 -0700

On Tue, 11 Jul 2023 14:41:18 +0200 Michal Koutný <[email-masked]> wrote:

> Hello.
> 
> On Tue, Jul 11, 2023 at 11:07:34AM +1000, Stephen Rothwell <[email-masked]> wrote:
> > You may also want to consider cooperating with the maintainer of the
> > conflicting tree to minimise any particularly complex conflicts.
> 
> Would alphabetical sorting of entries be helpful? (Lower conflict
> probability than the single end for appending.)

I think so.  People tend to put new entries at the end of lists, which
is the ideal way to cause patch collisions :(